=== debian/control ===
Source: ros-galactic-ros2lifecycle
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-galactic-ament-copyright <!nocheck>, ros-galactic-ament-flake8 <!nocheck>, ros-galactic-ament-pep257 <!nocheck>, ros-galactic-ament-xmllint <!nocheck>, ros-galactic-rclpy, ros-galactic-ros-testing <!nocheck>, ros-galactic-ros2cli, ros-galactic-ros2lifecycle-test-fixtures <!nocheck>, ros-galactic-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-ros2lifecycle
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-galactic-lifecycle-msgs, ros-galactic-rclpy, ros-galactic-ros2cli, ros-galactic-ros2node, ros-galactic-ros2service, ros-galactic-ros-workspace
Description: The lifecycle command for ROS 2 command line tools.
